<?php

declare(strict_types=1);

use App\Controller\WebController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\WebMiddleware;
Router::addGroup(
    '/web', function () {
                Router::get('/getWebsiteCategory', [WebController::class, 'getWebsiteCategory']);
                Router::get('/getWebsiteDistrit', [WebController::class, 'getWebsiteDistrit']);
                Router::get('/getWebsiteAdvertisement', [WebController::class, 'getWebsiteAdvertisement']);
                Router::get('/selectWebsiteDepartment', [WebController::class, 'selectWebsiteDepartment']);
                Router::get('/selectWebsiteArea', [WebController::class, 'selectWebsiteArea']);
                Router::get('/getWebsiteArticlett', [WebController::class, 'getWebsiteArticlett']);
                Router::get('/getWebsiteModelArticles', [WebController::class, 'getWebsiteModelArticles']);
                Router::get('/getWebsiteModelCategory', [WebController::class, 'getWebsiteModelCategory']);
                Router::get('/getWebsiteArticleList', [WebController::class, 'getWebsiteArticleList']);
                Router::get('/selectWebsiteArticleInfo', [WebController::class, 'selectWebsiteArticleInfo']);

                Router::get('/selectWebsiteLinks', [WebController::class, 'selectWebsiteLinks']);
                // 获取网站底部基础信息
                Router::get('/getWebsiteFootInfo', [WebController::class, 'getWebsiteFootInfo']);
                // 获取网站底部导航
                Router::get('/getWebsiteFooterCategory', [WebController::class, 'getWebsiteFooterCategory']);
                // 获取网站底部导航列表
                Router::get('/getWebsiteFooterCategoryList', [WebController::class, 'getWebsiteFooterCategoryList']);
                // 获取网站底部导航内容
                Router::get('/getWebsiteFooterCategoryInfo', [WebController::class, 'getWebsiteFooterCategoryInfo']);
                // 搜索网站二级导航
                Router::get('/selectWebsiteCategory', [WebController::class, 'selectWebsiteCategory']);
                // 搜索网站二级导航-seo列表页
                Router::get('/getWebsiteCategoryHead', [WebController::class, 'getWebsiteCategoryHead']);
            },
    ['middleware' => [WebMiddleware::class]]
);
